Bug 135883 - [PATCH] lang/gcc295: Unbreak build
Summary: [PATCH] lang/gcc295: Unbreak build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-21 10:30 UTC by Ulrich Spoerlein
Modified: 2009-07-22 04:00 UTC (History)
1 user (show)

See Also:


Attachments
gcc-2.95.3_2.patch (1.91 KB, patch)
2009-06-21 10:30 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2009-06-21 10:30:06 UTC
The changes to autoconf'ed ports, regarding the LATE_CONFIGURE_ARGS broken
this port. By rolling our own do-configure target and passing the right
combination of --build and --host, this port still builds and works fine.

Port maintainer (shaun@FreeBSD.org) is cc'd.
Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2009-06-21 10:30:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 gerald 2009-06-21 18:29:47 UTC
I will still claim that a version of GCC that is ten years old and 
that neither the maintainer nor anyone else has bothered fixing for
nine months is not worth keeping.

In any case, before proceeding please have a look at
  http://docs.freebsd.org/cgi/getmsg.cgi?fetch=110516+0+archive/2009/freebsd-ports/20090621.freebsd-ports
which is affecting _real_ users and best addressed by removing the 
obsolete lang/gcc295 port.  By keeping the useless lang/gcc295 port
we will make the situation more tricky and maintain those complications 
with later lang/gcc ports.

Gerald
Comment 3 Ulrich Spoerlein 2009-06-22 12:49:24 UTC
Hi Gerald,

thanks for sharing your concern, as de-facto gcc-ports maintainer your
input is very welcomed.

However, I fail to see how gcc295 can be blamed for either ccache's
behaviour (which I'm ignorant to) or gcc43's.

In any case, why don't we
a) commit the fix
b) set DEPRECATED
c) ship 8.0 and possibly 7.3 with working gcc295 packages
d) yank it from the tree

I don't want to support gcc295 any longer than that, but at least the
fix should make it in before sending gcc295 to the attic.

Thanks for your consideration,
Uli
Comment 4 Shaun Amott freebsd_committer 2009-06-24 13:43:00 UTC
On Mon, Jun 22, 2009 at 01:49:24PM +0200, Ulrich Sprlein wrote:
> 
> However, I fail to see how gcc295 can be blamed for either ccache's
> behaviour (which I'm ignorant to) or gcc43's.
> 
> In any case, why don't we
> a) commit the fix
> b) set DEPRECATED
> c) ship 8.0 and possibly 7.3 with working gcc295 packages
> d) yank it from the tree
> 

Ok, since I seem to be in the minority in wanting to keep the port, and
since it is causing headaches for people, we'll go for this course of
action. Thanks again for your work and input, Ulrich.

-- 
Shaun Amott // PGP: 0x6B387A9A
"A foolish consistency is the hobgoblin
of little minds." - Ralph Waldo Emerson
Comment 5 Shaun Amott freebsd_committer 2009-07-22 03:53:40 UTC
State Changed
From-To: open->closed

Committed. Thanks.
Comment 6 dfilter service freebsd_committer 2009-07-22 03:59:35 UTC
shaun       2009-07-22 02:59:26 UTC

  FreeBSD ports repository

  Modified files:
    lang/gcc295          Makefile 
  Log:
  Fix build (broken due to recent autoconf changes).
  
  PR:             ports/135883
  Submitted by:   Ulrich Spoerlein <uqs@spoerlein.net>
  
  Revision  Changes    Path
  1.114     +24 -1     ports/lang/gcc295/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"